<?php
/**
 * Rocky Zhang 2012.5.28
*/
include_once CORE_DIR.'admin/controller/ctl.order.php';

class ome_order_ctl extends ctl_order{
    var $object = 'plugins/ome/ome_order';
    var $deleteAble = false;
    var $controller = 'order/order';
    
    function index() {
        $args = func_get_args();
        call_user_func_array(array(parent,'index'),$args);
    }
    
    function detail() {
        $this->pagedata['_plugin_actbar_'] = PLUGIN_DIR.'/app/ome/view/order/actbar.html';
        
        $args = func_get_args();
        $this->pagedata['order']['order_id'] = $args[0];
        
        call_user_func_array(array(parent,'detail'),$args);
    }
    
    function custom_actions() {
        return array(
            'sync2ome'=>array(
                'tpl'=>'file:'.dirname(__FILE__).'/view/filter_actions.html',
            ),
        );
    }
}
